'use strict';
/* global $:true, jQuery: true */

var WanaPuri = WanaPuri || {};

(function(WanaPuri, jQuery) {

  $.scrollTo = function(el) {
    var scrollSpeed = 1000;
    var target = $(!!el ? el : 'html');
    var pos = target.offset().top;
    $('body,html').animate({ scrollTop: pos }, scrollSpeed, 'easeOutQuint');
  };

})(WanaPuri, jQuery);

$(function() {

  // メニュークリックでのアニメーションスクロール
  $('td.t_m a[href^="#"]').on({
    'click': function() {
      var target = $(this).attr('href'); 
      $.scrollTo(target);
    },
  });
  
  // fancoyboxの設定
  $('.screenshot-list li a').fancybox();
  
});
